package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.production.model.AccessoryLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 辅料使用记录表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-08-12
 */
public interface AccessoryLogService extends IService<AccessoryLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<AccessoryLog> selectPage(FrontPage<AccessoryLog> frontPage, AccessoryLog accessoryLog);

    List<AccessoryLog> selectList(AccessoryLog accessoryLog);

    void loadConfirm(AccessoryLog accessoryLog);

    List<AccessoryLog> getLoadLabelList(AccessoryLog accessoryLog);
}